Botan 1.10.17

Classes | Namespaces | Functions
stl_util.h File Reference
`#include <map>`

Go to the source code of this file.

## Classes
class | Botan::del_fun< T >

## Namespaces
| Botan

## Functions
template<typename InputIterator , typename OutputIterator , typename Predicate >
OutputIterator | Botan::copy_if (InputIterator current, InputIterator end, OutputIterator dest, Predicate copy_p)
template<typename Pair >
void | Botan::delete2nd (Pair &pair)
template<typename K , typename V >
void | Botan::multimap_insert (std::multimap< K, V > &multimap, const K &key, const V &value)
template<typename K , typename V >
V | Botan::search_map (const std::map< K, V > &mapping, const K &key, const V &null_result=V())